// -*- C++ -*-
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Written (W) 2010 Christian Leistner, leisti@gmail.com
 * Copyright (C) 2010 Christian Leistner, Amir Saffari, Samuel Schulter
 *                    Institute for Computer Graphics and Vision,
 *                    Graz University of Technology, Austria
 */

//#include "FileTools.h"
#include "Dataset.h"
#include "Utilities.h"

Dataset::Dataset()
{
}

Dataset::~Dataset()
{
}

void Dataset::setSamples( vector< Sample* > new_samples, int num_classes )
{
	samples_ = new_samples;
	num_samples_ = (int)samples_.size();
	if ( num_samples_  > 0 )
		num_features_ = samples_[0]->getNumFeatures();
	num_classes_ = num_classes;
}



